---
title: "List ERP bank accounts"
description: "Returns a paginated list of ERP bank accounts for the company in the `companyId` header. Supports filtering by status, account type, account number, reconciliation-account flag, soft-delete flag, creation/update date ranges, and remote name or id."
source: https://developers.qashio.com/v1/reference/get-erp-bank-accounts/
---

# List ERP bank accounts

`GET /erp-bank-accounts`

Requires a Bearer access token.

Returns a paginated list of ERP bank accounts for the company in the `companyId` header. Supports filtering by status, account type, account number, reconciliation-account flag, soft-delete flag, creation/update date ranges, and remote name or id.

### Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `page` | number | no |  |
| `limit` | number | no |  |
| `status` | string | no |  |
| `updatedAtFrom` | string | no |  |
| `updatedAtTo` | string | no |  |
| `createdAtFrom` | string | no |  |
| `createdAtTo` | string | no |  |
| `isDeleted` | string | no | One of `true`, `false`. |
| `reconciliationAccount` | string | no | One of `true`, `false`. |
| `accountNumber` | string | no |  |
| `accountType` | string | no |  |
| `remoteName` | string | no |  |
| `remoteId` | string | no |  |
| `id` | string | no | API primary key (UUID) |

### Example request

```bash
curl -X GET 'https://erp.qashio.com/erp-bank-accounts?page=1&limit=10' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer <access_token>'
```

### Example response (200)

```json
[
  {
    "page": 1,
    "totalPages": 1,
    "total": 1,
    "data": [
      {
        "id": "fdce2210-0ab9-4e59-bf3e-46a9e87f755b",
        "remoteId": "remote-001",
        "remoteName": "Cash Account",
        "accountType": "Savings",
        "accountNumber": "123456789",
        "reconciliationAccount": false,
        "status": "active",
        "isDeleted": false,
        "createdAt": "2024-02-05T12:00:00Z",
        "updatedAt": "2024-02-05T12:30:00Z"
      }
    ]
  }
]
```

### Errors

- `400` Bad Request
